@ECHO OFF

REM Last Changed: 2010-06-23 by Stefan Heule

::::::::::::::::::::::::::
:: CONFIG
set seven_zip_path="C:\cmdlinetools\7z-patched-to-be-quiet.exe"
set ttbin2hex_path="C:\cmdlinetools\ttbin2hex.exe"
set tifileprop_path="C:\cmdlinetools\tifileprop.exe"
set tprbuilder_path="C:\Program Files\GCC4TI\tprbuilder.exe"
:: END CONFIG
::::::::::::::::::::::::::

ECHO ---------------------------------------------------------

ECHO Pre-compile eventhook.c (TI-89 Titaium)

tigcc -DUSE_TI89 -DLANG_EN -Os -mno-bss -W -Wall -outputbin eventhook.c

%ttbin2hex_path% -quiet -a eventhook_89 -ss 2 -se 1 eventhook.z89 eventhook_89.h

ECHO ---------------------------------------------------------
ECHO Pre-compile eventhook.c (Voyage 200)

tigcc -DUSE_V200 -DLANG_EN -Os -mno-bss -W -Wall -outputbin eventhook.c

%ttbin2hex_path% -quiet -a eventhook_v2 -ss 2 -se 1 eventhook.zv2 eventhook_v2.h

ECHO ---------------------------------------------------------
ECHO Pre-compile trap4hook.c (TI-89 Titaium and Voyage 200)

tigcc -Os -mno-bss -W -Wall -outputbin trap4hook.c

%ttbin2hex_path% -quiet -a trap4hook -ss 2 -se 1 trap4hook.zv2 trap4hook.h

del eventhook.z*
del trap4hook.z*
ECHO ---------------------------------------------------------
ECHO Compile amsextender_uc.tpr

%tprbuilder_path% -q -DLANG_EN amsextender_uc.tpr

"%tifileprop_path%" -d a -fi amsext -c "AMS Extender by Stefan Heule" -q amsextender_uc.v2z

del amsextender_uc.9xz
del amsextender_uc.89z

ECHO ---------------------------------------------------------

PAUSE
ECHO ON
